Subject: RE: [Sip] Event Notifications with Multicast

From: "Klaus Darilion" <[email-masked]>
Date: Wed, 5 Mar 2003 11:39:17 +0100

I know that won't an easy solution. My first idea was to use unicast for
the subscription request, the subscription respond and the notification
respond, and multicast only for the NOTIFY request. In the subscription
response, the notifiyer has to tell the subscriber which multicast
address it should bind to.

The From: headers in the SUBSCRIBE request need not to be changed. The
To: header can have some generic name like
"subscriber@multicast-IP-address". The Call-ID will probably be
different as the one in the subscription. So, subscribers has to use the
Call-ID they receive in the first notification (I think this is similar
to subscriptions without a SUBSCRIBE transaction). I found 2 solutions
to differentiate the responses: Either the subscriber rewrites the To:
header to its own sip address or the subscriber inserts an header with
its sip-uri.

NOTIFY retransmission should be sent by unicast to avoid annoying of the
subscribers which had responded to the notification.

I had the idea while I analyzed the presence capability of KPhone.
KPhone (respectively dissipate) takes 2ms to send a notification (1GHz
PC), but I want to notify a lot of subscribers (50 ore more) within a
very short time (~20ms). So I thought of multicast. (I know, another way
would be to use a faster SIP stack.)

Regards,
Klaus Darilion

> -----Original Message-----
> From: Sean Olson [mailto:[email-masked]] 
> Sent: Tuesday, March 04, 2003 8:26 PM
> To: Klaus Darilion; [email-masked]
> Subject: Re: [Sip] Event Notifications with Multicast
> 
> 
> Intriguing idea, but it has some issues. Namely,
> what would you put in the From and Call-ID
> for such a NOTIFY request that was destined to
> multiple subscribers (who had issued SUBSCRIBE 
> requests with different From and Call-ID values)
> 
> Note that there is no inherent reason you could
> not send these NOTIFY requests in parallel. That
> is more of an implementation issue than a protocol
> one.
> 
> Regards,
> Sean Olson
> Microsoft
> 
> 
> --- Klaus Darilion <[email-masked]> wrote:
> > Hello!
> > 
> > Is it possible to use multicast for sending NOTIFY
> > requests to the
> > subscribers? I want to send the notifications very
> > fast and it takes
> > some time to do the sending one after another.
> > 
> > Regards,
> > Klaus Darilion _______________________________________________
> > Sip mailing list 
> > https://www1.ietf.org/mailman/listinfo/sip
> > This list is for NEW development of the core SIP
> > Protocol
> > Use [email-masked] for questions
> > on current sip
> > Use [email-masked] for new developments on the
> > application of sip
> 
> 
> __________________________________________________
> Do you Yahoo!?
> Yahoo! Tax Center - forms, calculators, tips, more 
http://taxes.yahoo.com/

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip